##
##  jargon.spec -- OpenPKG RPM Specification
##  Copyright (c) 2000-2003 Cable & Wireless Deutschland GmbH
##  Copyright (c) 2000-2003 The OpenPKG Project <http://www.openpkg.org/>
##  Copyright (c) 2000-2003 Ralf S. Engelschall <rse@engelschall.com>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         jargon
Summary:      The New Hacker's Dictionary aka Jargon File
URL:          http://tuxedo.org/~esr/jargon/
Vendor:       Eric S. Raymond
Packager:     The OpenPKG Project
Distribution: OpenPKG [EVAL]
Group:        Misc
License:      PD
Version:      4.3.3
Release:      20021224

#   list of sources
Source0:      http://tuxedo.org/~esr/jargon/jargon-%{version}.tar.gz
Source1:      http://www.tf.hut.fi/~krisku/soft/jarg.c
Source2:      jargon.sh

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20021218
PreReq:       OpenPKG, openpkg >= 20021218, w3m
AutoReq:      no
AutoReqProv:  no

%description
    The New Hacker's Dictionary aka "Jargon File" is a comprehensive
    compendium of hacker slang illuminating many aspects of hackish
    tradition, folklore, and humor.

%prep
    %setup -q
    cp %{SOURCE jarg.c} .
    %{l_gzip} -d -c jarg[0-9]*.gz >jargon.txt

%build
    #   pre-build jargon tool for local index generation
    %{l_shtool} subst \
        -e 's;/usr/local/lib/jarg\.idx;jargon.idx;' \
        jarg.c
    %{l_cc} %{l_cflags -O} %{l_cppflags} \
        -o jarg jarg.c %{l_ldflags}

    #   create index file
    txt="`pwd`/jargon.txt"
    ./jarg -i $txt
    %{l_shtool} subst \
        -e "s;^$txt=;%{l_prefix}/share/jargon/jargon.txt=;" \
        jargon.idx

    #   build jargon tool for remote final searching
    %{l_shtool} subst \
        -e 's;jargon\.idx;%{l_prefix}/share/jargon/jargon.idx;' \
        jarg.c
    %{l_cc} %{l_cflags -O} %{l_cppflags} \
        -o jarg jarg.c %{l_ldflags}

%install
    rm -rf $RPM_BUILD_ROOT

    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/libexec/jargon \
        $RPM_BUILD_ROOT%{l_prefix}/share/jargon
    %{l_shtool} install -c -m 755 \
        -e 's;@l_prefix@;%{l_prefix};g' \
        %{SOURCE jargon.sh} $RPM_BUILD_ROOT%{l_prefix}/bin/jargon
    %{l_shtool} install -c -s -m 755 \
        jarg $RPM_BUILD_ROOT%{l_prefix}/libexec/jargon/
    %{l_shtool} install -c -m 644 \
        jargon.idx jargon.txt jargon.html \
        $RPM_BUILD_ROOT%{l_prefix}/share/jargon/

    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

